<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        a:link {
            color: red;
        }
        a:visited{
            color: blueviolet;
        }
        a:hover{
            color: chartreuse;
        }
        a:active{
            color: blue;
        }
        *:focus{
            background: aqua;
        }
    </style>
</head>
<body>
    <p>Для перемещения фокуса по элементам нажимайте клавишу Tab (и Shift+Tab)</p> <br> <br>
    <a href="http://google.com">Ссылка на гугл</a>
    <a href="dasdsa"> Cсылка в никуда</a> <br>
    <input type="text" value="БУся буси">
</body>
</html>